/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/notif-summ-web-attach.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/notif-summ-web-attach.xml',
'<View title="{message.XXAS_NOTIF_ATTACH}" objectType="XXAS_ATTACHMENT_TYPE" deleteAllowed="false" defaultFormHandler="xxas_attachment_pkg.save_application_form">

  <CreateFields>
    <Hidden id="ATTACHED_DOCUMENT_ID"/>
    <Hidden id="ENTITY_NAME"/>
    <TextInput id="TITLE" label="{message.XXAS_NOTIF_TITLE}" enabled="false" visible="true" />
    <TextInput id="DESCRIPTION" label="{message.XXAS_NOTIF_DESC}"  enabled="false" visible="true"/>
    <Html id="WP_LINK" label="Weblink"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/notif-summ-web-attach.xml');
END;
/
COMMIT;
EXIT;